CS::Mesh::iAnimatedMeshSubMeshFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Mesh::iAnimatedMeshSubMeshFactory Struct Reference
Mesh plugins

Sub mesh (part) of an animated mesh factory. More...

`#include <imesh/animesh.h>`

Inheritance diagram for CS::Mesh::iAnimatedMeshSubMeshFactory:

List of all members.

## Public Member Functions
virtual const csArray < unsigned int > & | GetBoneIndices (size_t set)=0
| Get the bone indices used by the given index set.
virtual uint | GetIndexSetCount () const =0
| Get the number of index sets.
virtual iRenderBuffer * | GetIndices (size_t set)=0
| Get the index buffer for this submesh.
virtual iMaterialWrapper * | GetMaterial () const =0
| Get the material of this submesh.
virtual const char * | GetName () const =0
| Get the name of this submesh.
virtual CS::Graphics::RenderPriority | GetRenderPriority () const =0
| Get the render priority of this submesh.
virtual csZBufMode | GetZBufMode () const =0
| Get the Z-buf drawing mode of this submesh.
virtual bool | IsRendering () const =0
| Get whether or not the submesh has to be rendered by default.
virtual void | SetMaterial (iMaterialWrapper *material)=0
| Set the material of this submesh, or 0 to use default.
virtual void | SetRendering (bool doRender)=0
| Set whether or not the submesh has to be rendered by default.
virtual void | SetRenderPriority (CS::Graphics::RenderPriority rp)=0
| Set the render priority of this submesh.
virtual void | SetZBufMode (csZBufMode mode)=0
| Set the Z-buf drawing mode of this submesh.

## Detailed Description

Sub mesh (part) of an animated mesh factory.

It can be used to apply various materials and rendering parameters on sub-parts of the animated mesh.

Definition at line 553 of file animesh.h.

## Member Function Documentation

virtual const csArray<unsigned int>& CS::Mesh::iAnimatedMeshSubMeshFactory::GetBoneIndices | ( | size_t | set | ) | `[pure virtual]`

Get the bone indices used by the given index set.

virtual uint CS::Mesh::iAnimatedMeshSubMeshFactory::GetIndexSetCount | ( |  | ) | const`[pure virtual]`

Get the number of index sets.

virtual iRenderBuffer* CS::Mesh::iAnimatedMeshSubMeshFactory::GetIndices | ( | size_t | set | ) | `[pure virtual]`

Get the index buffer for this submesh.

Defines a triangle list.

virtual iMaterialWrapper* CS::Mesh::iAnimatedMeshSubMeshFactory::GetMaterial | ( |  | ) | const`[pure virtual]`

Get the material of this submesh.

virtual const char* CS::Mesh::iAnimatedMeshSubMeshFactory::GetName | ( |  | ) | const`[pure virtual]`

Get the name of this submesh.

virtual CS::Graphics::RenderPriority CS::Mesh::iAnimatedMeshSubMeshFactory::GetRenderPriority | ( |  | ) | const`[pure virtual]`

Get the render priority of this submesh.

virtual csZBufMode CS::Mesh::iAnimatedMeshSubMeshFactory::GetZBufMode | ( |  | ) | const`[pure virtual]`

Get the Z-buf drawing mode of this submesh.

virtual bool CS::Mesh::iAnimatedMeshSubMeshFactory::IsRendering | ( |  | ) | const`[pure virtual]`

Get whether or not the submesh has to be rendered by default.

virtual void CS::Mesh::iAnimatedMeshSubMeshFactory::SetMaterial | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

Set the material of this submesh, or 0 to use default.

virtual void CS::Mesh::iAnimatedMeshSubMeshFactory::SetRendering | ( | bool | doRender | ) | `[pure virtual]`

Set whether or not the submesh has to be rendered by default.

virtual void CS::Mesh::iAnimatedMeshSubMeshFactory::SetRenderPriority | ( | CS::Graphics::RenderPriority | rp | ) | `[pure virtual]`

Set the render priority of this submesh.

virtual void CS::Mesh::iAnimatedMeshSubMeshFactory::SetZBufMode | ( | csZBufMode | mode | ) | `[pure virtual]`

Set the Z-buf drawing mode of this submesh.

The documentation for this struct was generated from the following file:

- imesh/animesh.h